<h1>Persons</h1>

<table>
  <thead>
    <tr>
      <th>#</th>
      <th>Förnamn</th>
      <th>Efternamn</th>
      <th>Kön</th>
      <th>Epost</th>
      <th>Ort</th>
      <th>Färdigheter</th>
    </tr>
  </thead>

  <tbody>
    <tr *ngFor="let p of persons; index as row; odd as isOddIndex; first as isFirstRow; last as isLastRow"
        [ngClass]="{odd: isOddIndex, first: isFirstRow, last: isLastRow}"
        (click)="showById(p.id)"
    >
      <td>{{row+1}}</td>
      <td>{{p.firstName}}</td>
      <td>{{p.lastName}}</td>
      <td>{{p.male ? 'Man' : 'Kvinna'}}</td>
      <td>{{p.email}}</td>
      <td>{{p.city}}</td>
      <td>{{p.skill}}</td>
    </tr>
  </tbody>

</table>

